Retrieve an Variation Order by ID
curl --request GET \
--url https://api.zivio.net/api/v3/variation_orders/{id} \
--header 'X-API-Key: <api-key>' \
--header 'zivio-tenant-id: <api-key>'import requests
url = "https://api.zivio.net/api/v3/variation_orders/{id}"
headers = {
"X-API-Key": "<api-key>",
"zivio-tenant-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', 'zivio-tenant-id': '<api-key>'}
};
fetch('https://api.zivio.net/api/v3/variation_orders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "23",
"status": "pending",
"rate": "1500.00",
"rate_ccy": "GBP",
"original_rate": "55500.00",
"original_rate_ccy": "GBP",
"declined_reason": "project cancelled",
"skip_acceptance": "true",
"start_date": "2023-11-07T05:31:56Z",
"due_on": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"accepted_at": "2023-11-07T05:31:56Z",
"approved_at": "2023-11-07T05:31:56Z",
"approved_by": {
"id": "7158",
"first_name": "Jack",
"last_name": "Jones",
"email": "jack_jones@example.com",
"org_name": "Organisation Ltd",
"org_id": "567",
"business_unit": "Public Private Partnerships",
"division": "Infastructure",
"department": "Housing",
"vetting_status": "PASSED",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"custom_fields": {
"key": "value"
},
"has_oversight": "true"
},
"created_by": {
"id": "7158",
"first_name": "Jack",
"last_name": "Jones",
"email": "jack_jones@example.com",
"org_name": "Organisation Ltd",
"org_id": "567",
"business_unit": "Public Private Partnerships",
"division": "Infastructure",
"department": "Housing",
"vetting_status": "PASSED",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"custom_fields": {
"key": "value"
},
"has_oversight": "true"
},
"supplier_contract_template": "Supplier Work Order",
"client_contract_template": "Client Work Order",
"custom_fields": {
"key": "value"
},
"job": {
"id": "23",
"title": "project title",
"description": "project description"
},
"milestone_variations": [
{
"id": "23",
"client_suggested": "true",
"variation_order_id": "523",
"milestone_id": "13",
"order": "1",
"original_title": "milestone title",
"original_details": "milestone details",
"original_rate": "1500.00",
"original_rate_ccy": "GBP",
"original_due_on": "2023-11-07T05:31:56Z",
"varied_title": "milestone title",
"varied_details": "milestone details",
"varied_rate": "1500.00",
"varied_rate_ccy": "GBP",
"varied_due_on": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"custom_fields": {
"key": "value"
}
}
],
"job_line_item_variations": [
{
"id": "23",
"variation_order_id": "523",
"job_line_item_id": "523",
"item_type": "item",
"original_name": "Server",
"original_manufacturer_name": "IBM",
"original_manufacturer_part_number": "X789-A",
"original_quantity": "7.0",
"original_price": "1500.00",
"original_price_ccy": "GBP",
"original_uom": "Each",
"original_net_total_price": "1500.00",
"original_net_total_price_ccy": "GBP",
"variation_type": "added",
"varied_name": "Server",
"varied_manufacturer_name": "IBM",
"varied_manufacturer_part_number": "X789-A",
"varied_quantity": "7.0",
"varied_price": "1500.00",
"varied_price_ccy": "GBP",
"varied_uom": "Each",
"varied_net_total_price": "1500.00",
"varied_net_total_price_ccy": "GBP",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"custom_fields": {
"key": "value"
}
}
]
}Variation Orders
Retrieve an Variation Order by ID
GET
/
variation_orders
/
{id}
Retrieve an Variation Order by ID
Path Parameters
Response
ok
Example:
"23"
Example:
"pending"
Example:
"1500.00"
Example:
"GBP"
Example:
"55500.00"
Example:
"GBP"
Example:
"project cancelled"
Example:
"true"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
"Supplier Work Order"
Example:
"Client Work Order"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

